.table-popover {

  &.popover{
    background-color: @agent-content-popover;
    border-color: @agent-content-popover;
    border-radius: 3px;
    color: @agent-header-foreground;
    .box-shadow(0 2px 10px rgba(0, 0, 0, 0.2));
    width: 180px;

    .popover-content {
        padding: 7px 7px;
    }

    .pull-left {
      font-size: 13px;
      line-height: 1.54;
    }

    .pull-right {
      font-family: roboto-bold;
      font-size: 13px;
      line-height: 1.54;
    }

    .separator {
      border-bottom: solid 1px @agent-content-popover-sep;
    }
  }

  &.popover.bottom> .arrow:after {
      border-bottom-color: @agent-content-popover;
  }
  &.popover.top> .arrow:after {
      border-top-color: @agent-content-popover;
  }
}

table{
  table-layout: fixed;

  &.table-striped > tbody > tr:nth-of-type(even) {
      background-color: @agent-content-stripped-background-even;
  }
  &.table-striped > tbody > tr:nth-of-type(odd) {
      background-color: @agent-content-stripped-background-odd;
  }

  thead {
    background-color: @agent-content-title-background;
    height: 35px;
  }

  th {
    font-family: roboto-bold;
    font-size: 13px;
    font-weight: bold;
    font-stretch: condensed;
    line-height: 2.69;
    color: @agent-header-foreground;
  }

  tr {
    height: 35px;

    &.submenu {
      background-color: @agent-content-submenu-background !important;
      text-align: left !important;
      height: 25px;
      border-bottom: 1px solid @agent-content-submenu-border;

      .checkbox {
        margin: 0;
      }

      th, td {
        font-family: roboto;
        padding: 2px 5px;
        font-size: 13px !important;
        color: @agent-content-submenu-color !important;
      }
    }
  }

  tbody {
    p {
      margin: 0;
    }

    tr {
      &:hover {

        &.clickable {
          cursor: pointer;
        }

        &.grey-background {
          background-color: @grey;

          td {
            color: @agent-header-foreground;
          }
        }

        &.green-background {
          background-color: @green;

          td {
            color: @agent-header-foreground;
          }
        }

        &.orange-background {
          background-color: @orange;

          td {
            color: @agent-header-foreground;
          }
        }

        &.red-background {
          background-color: @red;
          td {
            color: @agent-header-foreground;
          }
        }
      } 
      .dropdown-menu-right {
        .dropdown-menu-right();
      }
    }
  }

  td {
    word-break:break-all;
    color: @xivo-dark;
    font-size: 15px;
    line-height: 2.33;
    padding: 0 8px !important;
    vertical-align: inherit !important;

    .fa-times {
      color: @agent-content-not-checked;
    }
    .fa-check {
      color: @agent-content-checked;
    }
    .fa-circle {
      color: @agent-main-background;
    }
    .fa-spinner {
      color: @agent-separator-gray;
    }
  }

  .no-border td, .no-border th {
    border: none !important;
  }

  .sortable {
    cursor: pointer;

    &:after {
      font-family: FontAwesome;
      content: "\f0dc";
      opacity: 0.3;
      padding-left: 3px;
    }
  }
  .st-sort-ascent:after {
    font-family: FontAwesome;
    content: "\f0de";
    opacity: 1;
    padding-left: 3px;
    position: relative;
    top: 2px;
  }
  .st-sort-descent:after {
    font-family: FontAwesome;
    content: "\f0dd";
    opacity: 1;
    padding-left: 3px;
    position: relative;
    bottom: 2px;
  }

}

.no-margin-bottom {
  margin-bottom: 0px;
}